List Payments
curl --request GET \
--url https://api.paygentic.io/v0/payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "payment",
"amount": "<string>",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"paymentUrl": "<string>",
"customerId": "<string>",
"idempotencyKey": "<string>",
"reference": "<string>",
"metadata": {},
"lineItems": [
{
"description": "<string>",
"amount": "<string>",
"quantity": 123
}
],
"expiresAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Payments
List Payments
List payments for the authenticated merchant with optional filters.
GET
/
v0
/
payments
List Payments
Authorizations
API key authentication
Query Parameters
Merchant organization ID. Required when using an API key that is not scoped to a single merchant.
Filter by payment status.
Available options:
pending, processing, completed, expired, cancelled Filter by customer ID.
Number of payments to return.
Required range:
1 <= x <= 100Number of payments to skip.
Required range:
x >= 0Was this page helpful?
⌘I